﻿@model IEnumerable<ToitKoju.Order>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.OrderDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DeliveryDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ActualEaters)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DeliveryInstructions)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Recipy.RecipeName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.User.UserName)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.OrderDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DeliveryDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ActualEaters)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DeliveryInstructions)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Recipy.RecipeName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.OrderID }) |
            @Html.ActionLink("Details", "Details", new { id=item.OrderID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.OrderID })
        </td>
    </tr>
}

</table>
